package cn.ibizlab.core.sample.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.sample.domain.IBIZSample0020;
/**
 * 关系型数据实体[IBIZSample0020] 查询条件对象
 */
@Slf4j
@Data
public class IBIZSample0020SearchContext extends QueryWrapperContext<IBIZSample0020> {

	private String n_ibizsample0020name_like;//[员工名称]
	public void setN_ibizsample0020name_like(String n_ibizsample0020name_like) {
        this.n_ibizsample0020name_like = n_ibizsample0020name_like;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0020name_like)){
            this.getSearchCond().like("ibizsample0020name", n_ibizsample0020name_like);
        }
    }
	private String n_ibizsample0019name_eq;//[部门名称]
	public void setN_ibizsample0019name_eq(String n_ibizsample0019name_eq) {
        this.n_ibizsample0019name_eq = n_ibizsample0019name_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0019name_eq)){
            this.getSearchCond().eq("ibizsample0019name", n_ibizsample0019name_eq);
        }
    }
	private String n_ibizsample0019name_like;//[部门名称]
	public void setN_ibizsample0019name_like(String n_ibizsample0019name_like) {
        this.n_ibizsample0019name_like = n_ibizsample0019name_like;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0019name_like)){
            this.getSearchCond().like("ibizsample0019name", n_ibizsample0019name_like);
        }
    }
	private String n_ibizsample0019id_eq;//[部门id]
	public void setN_ibizsample0019id_eq(String n_ibizsample0019id_eq) {
        this.n_ibizsample0019id_eq = n_ibizsample0019id_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0019id_eq)){
            this.getSearchCond().eq("ibizsample0019id", n_ibizsample0019id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ibizsample0020name", query)
            );
		 }
	}
}



